﻿using System;


namespace czerwiec_2022_problem_1_przeszukiwanie_z_wartownikiem
{
    internal class Program
    {   
        //rozmiar tablicy
        static int n = 0;
        //jednowymiarowa tablica danych liczb całkowitych
        static int[] tab;
        //zmienna generatora losowego
        static Random los = new Random();

        static void RobTablice()
        {
            //odczytaj rozmiar tablicy podany z klawiatury
            Console.Write("Podaj rozmiar tablicy nie mniejszy niż 50, n=");
            n=int.Parse(Console.ReadLine());
            //zrób tablicę o rozmiarze większym o 1, będzie to indeks na wartownika
            tab = new int[n+1];
            //wypełnij wartościami losowymi
            //w warunkach zadania nie jest podane
            //czy losowe wartości nie mogą się powtarzać
            //losujemy najłatwiej z mozliwymi powtórzeniami
            for(int i = 0; i < n; i++)
                tab[i] = los.Next(100)+1;
        }
        static int Szukaj(int szukana)
        {
            //wstaw wartownika na ostatni indeks tablicy
            tab[n] = szukana;
            //szukaj, jak znalazłes to wyskocz z pętli
            //i podaj pierwszy indeks wystąpienia szukanej wartości
            for(int i = 0;i<n+1; i++)
                if (tab[i] == szukana) return i;
            //jak nie znalezłeś to zwróć indeks wartownika
            return n;
        }
        static void PokazTablice_i_Wynik_Szukania(int x,int id)
        {
            for(int i=0;i<n+1;i++)
                Console.Write(String.Format("{0},", tab[i]));
            //komunikat gdy znaleziono
            if (id != n)
                Console.WriteLine(String.Format("\nSzukana liczba {0} jest na indeksie {1}", x, id));
            else
                Console.WriteLine(String.Format("\nSzukana liczba {0} nie została znaleziona. Znaleziono wartownika na indeksie {1}", x, id));
        }
        static void Main(string[] args)
        {
            Console.WriteLine("Witaj w CzD! Wyszukiwanie z wartownikiem. Egzamin INF.04 czerwiec 2022");
            RobTablice();
            Console.Write("Podaj szukaną liczbę całkowitą x = ");
            int x = int.Parse(Console.ReadLine());
            int id = Szukaj(x);
            PokazTablice_i_Wynik_Szukania(x,id);
            Console.ReadKey();
        }
    }
}